using UnityEngine;
using UnityEngine.EventSystems;

public class UIHoverTooltip : MonoBehaviour, IPointerEnterHandler, IPointerExitHandler
{
    public HUDManager hud;
    public string message;

    
    public void OnPointerEnter(PointerEventData eventData)
    {
          hud.ShowTooltip(message);
    }

    public void OnPointerExit(PointerEventData eventData)
    {
        hud.HideTooltip();
    }
}